import zero.cli.tasks.utils.ToolsUtils;

def onPUT() {
	onPOST();
}

def onPOST() {//same
	String target = request.params.target[];	
	
	String osName = ToolsUtils.getOsName();
	String[][] captureCmd = null;
	String pngFilename = 'logs/'+target+'.png';
	if (osName.equals('linux')) {
		String display = ':12';
		String xwdFilename = 'logs'+target+'.xwd';
		// convert is from ImageMagick
		captureCmd = [
		              ['xwd', '-display', 'localhost'+display, '-screen', '-silent', '-root', '-out', xwdFilename],
		              ['convert', xwdFilename, pngFilename]
		             ]
	} else if (osName.equals('mac')) {
		 captureCmd = [['screencapture', '-CS', pngFilename]]; 
	}

	if (captureCmd) {
		Runtime rt = Runtime.getRuntime();
		try {
			for(String[] cmd : captureCmd) {
				Process p = rt.exec(cmd);
			}
			System.out.println("Captured to: "+new java.io.File(pngFilename).getAbsolutePath());
		} catch (Exception e) {
			System.out.println("Can't capture: "+e);
		}	
	}
}